<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imextract_DescriptorFREAK</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imextract_DescriptorBRISK.html">&lt;&lt; imextract_DescriptorBRISK</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_8792051ef89a035bfefbe098ed0172e1.html">Feature Detection, Description and Matching</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imextract_DescriptorORB.html">imextract_DescriptorORB &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_8792051ef89a035bfefbe098ed0172e1.html">Feature Detection, Description and Matching</a> &gt; imextract_DescriptorFREAK</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imextract_DescriptorFREAK</h1>
    <p class="refpurpose">Computes the descriptors for a set of keypoints detected in an image with FREAK method.</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">des</span><span class="default"> = </span><span class="functionid">imextract_DescriptorFREAK</span><span class="default">(</span><span class="default">im1</span><span class="default">,</span><span class="default">fobj1</span><span class="default">);</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">im1 :</span>
      <dd><p class="para">Input image</p></dd></dt>
   <dt><span class="term">fobj1 :</span>
      <dd><p class="para">Features</p></dd></dt>
   <dt><span class="term">des :</span>
      <dd><p class="para">Descriptors for the features</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function extracts the descriptors of an image&#0039;s features with FREAK method</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imcreatechecker</span><span class="scilabopenclose">(</span><span class="scilabnumber">8</span><span class="scilabdefault">,</span><span class="scilabnumber">4</span><span class="scilabdefault">,</span><span class="scilabopenclose">[</span><span class="scilabnumber">1</span> <span class="scilabnumber">0.5</span><span class="scilabopenclose">]</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">fobj</span> <span class="scilaboperator">=</span> <span class="scilabid">imdetect_BRISK</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabid">plotfeature</span><span class="scilabopenclose">(</span><span class="scilabid">fobj</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">des</span> <span class="scilaboperator">=</span> <span class="scilabid">imextract_DescriptorFREAK</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabdefault">,</span><span class="scilabid">fobj</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imextract_DescriptorSIFT.html" class="link">imextract_DescriptorSIFT</a></li>
   <li class="member"><a href="imextract_DescriptorSURF.html" class="link">imextract_DescriptorSURF</a></li>
   <li class="member"><a href="imextract_DescriptorBRIEF.html" class="link">imextract_DescriptorBRIEF</a></li>
   <li class="member"><a href="imextract_DescriptorBRISK.html" class="link">imextract_DescriptorBRISK</a></li>
   <li class="member"><a href="imextract_DescriptorORB.html" class="link">imextract_DescriptorORB</a></li>
   <li class="member"><a href="imextract_DescriptorFREAK.html" class="link">imextract_DescriptorFREAK</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>

<div class="refsection"><h3 class="title">Bibliography</h3>
   <p class="para">1. OpenCV 2.4 Online Documentation</p></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imextract_DescriptorBRISK.html">&lt;&lt; imextract_DescriptorBRISK</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_8792051ef89a035bfefbe098ed0172e1.html">Feature Detection, Description and Matching</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imextract_DescriptorORB.html">imextract_DescriptorORB &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
